@echo off

set SPIFILE=DM015000.bin
set BIOSFILE=R0150DM.ROM



if exist STEP2.TMP goto FLASH
if exist STEP3.TMP goto MEMANUF

cls
echo --------------------------------------------------------------------------
echo Update Package Tool for DOS
echo --------------------------------------------------------------------------

:UNLOCK
rem ---------------------------------------------------------------------
rem Step 1 - Enable the Flash Descriptor Override and prompt for shutdown
rem ---------------------------------------------------------------------
echo;
echo Unlock ME Firmware Write Protect:
echo > STEP2.TMP
.\Tool_Dos\SPILKD.EXE -L
echo;
echo;
echo Please shutdown the system.
echo And then please power on the system.
echo After the system starts, please execute this
echo program again.
pause
goto EXIT

:FLASH
rem -----------------------------------------
rem Step 2 - Update SPI ROM image and BIOS/EC
rem -----------------------------------------
cls
echo --------------------------------------------------------------------------
echo Update Package Tool for DOS
echo; 
echo After SPI Rom update, Please follow below steps to finish SPI Rom update process
echo --------------------------------------------------------------------------
echo;
echo Please shutdown the system, unplug AC
echo adapter and press the battery reset
echo button continuously for 5 seconds (If there
echo is no battery reset button, please detach the
echo battery for 5 seconds), then attach AC
echo adapter and power on the system.
echo After the system starts, please execute this
echo program again.
pause


if exist STEP2.TMP del STEP2.TMP
echo > STEP3.TMP
cd Tool_Dos
echo;
echo Start SPI ROM Flash:
rem PCHSKU.EXE
rem if errorlevel 2 goto UNKNOWPCH
rem if errorlevel 1 goto UPDATEHM76
FPT.EXE -F ..\ROM\%SPIFILE% -DESC
FPT.EXE -F ..\ROM\%SPIFILE% -ME
rem FPT.EXE -F ..\ROM\%SPIFILE% -GBE -SAVEMAC -SAVESXID
DosFU.exe -bios -file ..\ROM\%BIOSFILE%
goto STEP2END
rem :UNKNOWPCH
rem echo --------------------------------------------------------------------------
rem echo The PCH SKU is Unknow, if the current BIOS version is older then R0150E5
rem echo Please update the system BIOS to R0150E5 and update SPI ROM Package again.
rem echo --------------------------------------------------------------------------
rem :UPDATEHM76
rem FLASHIT.EXE ..\ROM\%HM76FILE% /N
:STEP2END


goto EXIT



:MEMANUF
rem -------------------------------------------
rem Step 3 - Execute "MEMANUF"
rem -------------------------------------------
cls

echo;
cd Tool_Dos
echo Execute MEMANUF:
MEMANUF.EXE -NONFC

echo;
echo Execute FPT.EXE -CLOSEMNF
FPT.EXE -CLOSEMNF NO

echo;
echo Execute MEMANUF -EOL
MEMANUF.EXE -EOL


if exist STEP2.TMP del STEP2.TMP
if exist STEP3.TMP del STEP3.TMP
echo SPI ROM Image update finished.
rem echo Press any key to Check currently system ME F/W Version
rem pause
rem echo;
rem echo;
rem echo --------------------------------------------------------------------------
rem echo Check system ME F/W version
rem echo --------------------------------------------------------------------------
rem cd Tool_Dos
rem FPT.EXE -d MEVER.txt -a 0xf10 -l 8 -y
rem echo;
rem echo;
rem echo Currently system ME F/W version is
rem type MEVER.txt
rem del MEVER.txt
rem echo;
cd ..
pause



rem -------------------------------------------------------------------------------

:EXIT
@echo on
