@echo off

set TOOLDIR=%~dp0
set TOOLDRV=%~d0
set SPIFILE=DM015000.bin
set BIOSFILE=R0150DM.ROM


if exist "%TOOLDIR%STEP2.TMP" goto FLASH
if exist "%TOOLDIR%STEP3.TMP" goto MEMANUF

cls
echo --------------------------------------------------------------------------
echo Update Package Tool for Windows 64-bit
echo --------------------------------------------------------------------------


:UNLOCK
rem ---------------------------------------------------------------------
rem Step 1 - Enable the Flash Descriptor Override and prompt for shutdown
rem ---------------------------------------------------------------------
echo;
echo Unlock ME Firmware Write Protect:
echo > "%TOOLDIR%STEP2.TMP"
%TOOLDRV%
cd "%TOOLDIR%Tool_Win"
rem INSTALL64.EXE
rem VGACHKW.EXE
rem if errorlevel 1 goto EXTERNAL
rem echo > "%TOOLDIR%INT.TMP"
rem goto STEP1END
rem :EXTERNAL
rem echo > "%TOOLDIR%EXT.TMP"
rem :STEP1END
spilkw64.EXE -L
rem :cd "%TOOLDIR%Tool_Win\%TestCert"
rem :call installcert.cmd
echo;
echo;
echo Please shutdown the system.
echo And then please power on the system.
echo After the system starts, please execute this
echo program again.
pause
goto EXIT

:FLASH
rem -----------------------------------------
rem Step 2 - Update SPI ROM image and BIOS/EC
rem -----------------------------------------
cls
echo --------------------------------------------------------------------------
echo Update Package Tool for Windows 64-bit
echo; 
echo After SPI Rom update, Please follow below steps to finish SPI Rom update process
echo --------------------------------------------------------------------------
echo;
echo Please shutdown the system, unplug AC
echo adapter and press the battery reset
echo button continuously for 5 seconds (If there
echo is no battery reset button, please detach the
echo battery for 5 seconds), then attach AC
echo adapter and power on the system.
echo After the system starts, please execute this
echo program again.
pause

if exist "%TOOLDIR%STEP2.TMP" del "%TOOLDIR%STEP2.TMP"
echo > "%TOOLDIR%STEP3.TMP"
%TOOLDRV%
cd "%TOOLDIR%Tool_Win"
rem PCHSKU64.EXE
rem if errorlevel 2 goto UNKNOWPCH
rem if errorlevel 1 goto UPDATEHM76
rem copy "%TOOLDIR%Tool_Win\platform.070" "%TOOLDIR%Tool_Win\platform.ini" /y
fptw64.EXE -F ..\ROM\%SPIFILE% -DESC
fptw64.EXE -F ..\ROM\%SPIFILE% -ME
rem fptw64.EXE -F ..\ROM\%SPIFILE% -GBE -SAVEMAC -SAVESXID
rem :UNKNOWPCH
rem echo;
rem echo --------------------------------------------------------------------------
rem echo The PCH SKU is Unknow, if the current BIOS version is older then R0150E5
rem echo Please update the system BIOS to R0150E5 and update SPI ROM Package again.
rem echo --------------------------------------------------------------------------
rem :UPDATEHM76
rem copy "%TOOLDIR%Tool_Win\platform.076" "%TOOLDIR%Tool_Win\platform.ini" /y
:COPYFILEOK
rem REMOVE64.EXE
echo;
echo ------------------------------------------------------------------
echo Disable mouse and keyboard when update SPI ROM.  Please wait......
echo ------------------------------------------------------------------
echo Start SPI ROM Flash:
echo;
WinFU64.exe -bios -file ..\ROM\%BIOSFILE%

goto EXIT



:MEMANUF
rem -------------------------------------------
rem Step 3 - Execute "MEMANUFWin64"
rem -------------------------------------------
cls
echo;
%TOOLDRV%
cd "%TOOLDIR%Tool_Win"

echo Execute MEMANUF:
MEMANUFWIN64.EXE -NONFC

echo;
echo;
echo;
echo Execute FPT -closemnf:
FPTW64.EXE -closemnf no

echo;
echo;
echo;
echo Execute MEMANUFWIN -EOL
MEMANUFWIN64.EXE -EOL



if exist "%TOOLDIR%STEP2.TMP" del "%TOOLDIR%STEP2.TMP"
if exist "%TOOLDIR%STEP3.TMP" del "%TOOLDIR%STEP3.TMP"
if exist "%TOOLDIR%INT.TMP" del "%TOOLDIR%INT.TMP"
if exist "%TOOLDIR%EXT.TMP" del "%TOOLDIR%EXT.TMP"
echo;
echo SPI ROM Image update finished.
rem echo Press any key to Check currently system ME F/W Version
rem pause
rem echo;
rem echo;
rem echo --------------------------------------------------------------------------
rem echo Check system ME F/W version
rem echo --------------------------------------------------------------------------
rem FPTW.EXE -d MEVER.txt -a 0xf10 -l 8 -y
rem echo;
rem echo;
rem echo Currently system ME F/W version is
rem type MEVER.txt
rem del MEVER.txt
rem echo;
cd ..
pause


rem -------------------------------------------------------------------------------

:EXIT
@echo on
